namespace MpcSharp
{
	public class Settings
	{
		static GConf.Client client = new GConf.Client ();

		public static event GConf.NotifyEventHandler Changed
		{
			add {
				client.AddNotify ("/apps/MpcSharp", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp", value);
			}
		}

		public static string PlaylistActiveColor
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/PlaylistActiveColor");
			}
			set {
				client.Set ("/apps/MpcSharp/PlaylistActiveColor", value);
			}
		}

		public static event GConf.NotifyEventHandler PlaylistActiveColorChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/PlaylistActiveColor", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/PlaylistActiveColor", value);
			}
		}

		public static string Host
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/Host");
			}
			set {
				client.Set ("/apps/MpcSharp/Host", value);
			}
		}

		public static event GConf.NotifyEventHandler HostChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/Host", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/Host", value);
			}
		}

		public static int WinHeight
		{
			get {
				return (int) client.Get ("/apps/MpcSharp/State/WinHeight");
			}
			set {
				client.Set ("/apps/MpcSharp/State/WinHeight", value);
			}
		}

		public static event GConf.NotifyEventHandler WinHeightChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/WinHeight", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/WinHeight", value);
			}
		}

		public static System.Array Tabs
		{
			get {
				return (System.Array) client.Get ("/apps/MpcSharp/Tabs");
			}
			set {
				client.Set ("/apps/MpcSharp/Tabs", value);
			}
		}

		public static event GConf.NotifyEventHandler TabsChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/Tabs", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/Tabs", value);
			}
		}

		public static int WinPosY
		{
			get {
				return (int) client.Get ("/apps/MpcSharp/State/WinPosY");
			}
			set {
				client.Set ("/apps/MpcSharp/State/WinPosY", value);
			}
		}

		public static event GConf.NotifyEventHandler WinPosYChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/WinPosY", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/WinPosY", value);
			}
		}

		public static string GuiRow1
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/GuiRow1");
			}
			set {
				client.Set ("/apps/MpcSharp/GuiRow1", value);
			}
		}

		public static event GConf.NotifyEventHandler GuiRow1Changed
		{
			add {
				client.AddNotify ("/apps/MpcSharp/GuiRow1", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/GuiRow1", value);
			}
		}

		public static string GuiRow2
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/GuiRow2");
			}
			set {
				client.Set ("/apps/MpcSharp/GuiRow2", value);
			}
		}

		public static event GConf.NotifyEventHandler GuiRow2Changed
		{
			add {
				client.AddNotify ("/apps/MpcSharp/GuiRow2", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/GuiRow2", value);
			}
		}

		public static bool UseRulesHint
		{
			get {
				return (bool) client.Get ("/apps/MpcSharp/UseRulesHint");
			}
			set {
				client.Set ("/apps/MpcSharp/UseRulesHint", value);
			}
		}

		public static event GConf.NotifyEventHandler UseRulesHintChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/UseRulesHint", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/UseRulesHint", value);
			}
		}

		public static string MusicDirectory
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/MusicDirectory");
			}
			set {
				client.Set ("/apps/MpcSharp/MusicDirectory", value);
			}
		}

		public static event GConf.NotifyEventHandler MusicDirectoryChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/MusicDirectory", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/MusicDirectory", value);
			}
		}

		public static bool PlaylistShowFilter
		{
			get {
				return (bool) client.Get ("/apps/MpcSharp/PlaylistShowFilter");
			}
			set {
				client.Set ("/apps/MpcSharp/PlaylistShowFilter", value);
			}
		}

		public static event GConf.NotifyEventHandler PlaylistShowFilterChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/PlaylistShowFilter", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/PlaylistShowFilter", value);
			}
		}

		public static TimeFormat TimeFormat
		{
			get {
				try {
					return (TimeFormat) System.Enum.Parse (typeof (TimeFormat), (string) client.Get ("/apps/MpcSharp/State/TimeFormat"));
				} catch (System.Exception e) {
					return (TimeFormat) 0;
				}
			}
			set {
				client.Set ("/apps/MpcSharp/State/TimeFormat", System.Enum.GetName (typeof (TimeFormat), value));
			}
		}

		public static event GConf.NotifyEventHandler TimeFormatChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/TimeFormat", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/TimeFormat", value);
			}
		}

		public static string CustomColumnFormat
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/CustomColumnFormat");
			}
			set {
				client.Set ("/apps/MpcSharp/CustomColumnFormat", value);
			}
		}

		public static event GConf.NotifyEventHandler CustomColumnFormatChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/CustomColumnFormat", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/CustomColumnFormat", value);
			}
		}

		public static string StatusFormat
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/StatusFormat");
			}
			set {
				client.Set ("/apps/MpcSharp/StatusFormat", value);
			}
		}

		public static event GConf.NotifyEventHandler StatusFormatChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/StatusFormat", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/StatusFormat", value);
			}
		}

		public static int ActiveTab
		{
			get {
				return (int) client.Get ("/apps/MpcSharp/State/ActiveTab");
			}
			set {
				client.Set ("/apps/MpcSharp/State/ActiveTab", value);
			}
		}

		public static event GConf.NotifyEventHandler ActiveTabChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/ActiveTab", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/ActiveTab", value);
			}
		}

		public static int WinWidth
		{
			get {
				return (int) client.Get ("/apps/MpcSharp/State/WinWidth");
			}
			set {
				client.Set ("/apps/MpcSharp/State/WinWidth", value);
			}
		}

		public static event GConf.NotifyEventHandler WinWidthChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/WinWidth", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/WinWidth", value);
			}
		}

		public static string Theme
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/Theme");
			}
			set {
				client.Set ("/apps/MpcSharp/Theme", value);
			}
		}

		public static event GConf.NotifyEventHandler ThemeChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/Theme", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/Theme", value);
			}
		}

		public static string Password
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/Password");
			}
			set {
				client.Set ("/apps/MpcSharp/Password", value);
			}
		}

		public static event GConf.NotifyEventHandler PasswordChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/Password", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/Password", value);
			}
		}

		public static bool IncrementalSearch
		{
			get {
				return (bool) client.Get ("/apps/MpcSharp/IncrementalSearch");
			}
			set {
				client.Set ("/apps/MpcSharp/IncrementalSearch", value);
			}
		}

		public static event GConf.NotifyEventHandler IncrementalSearchChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/IncrementalSearch", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/IncrementalSearch", value);
			}
		}

		public static int WinPosX
		{
			get {
				return (int) client.Get ("/apps/MpcSharp/State/WinPosX");
			}
			set {
				client.Set ("/apps/MpcSharp/State/WinPosX", value);
			}
		}

		public static event GConf.NotifyEventHandler WinPosXChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/WinPosX", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/WinPosX", value);
			}
		}

		public static bool Expanded
		{
			get {
				return (bool) client.Get ("/apps/MpcSharp/State/Expanded");
			}
			set {
				client.Set ("/apps/MpcSharp/State/Expanded", value);
			}
		}

		public static event GConf.NotifyEventHandler ExpandedChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/State/Expanded", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/State/Expanded", value);
			}
		}

		public static string PlaylistFormat
		{
			get {
				return (string) client.Get ("/apps/MpcSharp/PlaylistFormat");
			}
			set {
				client.Set ("/apps/MpcSharp/PlaylistFormat", value);
			}
		}

		public static event GConf.NotifyEventHandler PlaylistFormatChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/PlaylistFormat", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/PlaylistFormat", value);
			}
		}

		public static int Port
		{
			get {
				return (int) client.Get ("/apps/MpcSharp/Port");
			}
			set {
				client.Set ("/apps/MpcSharp/Port", value);
			}
		}

		public static event GConf.NotifyEventHandler PortChanged
		{
			add {
				client.AddNotify ("/apps/MpcSharp/Port", value);
			}
			remove{
				client.RemoveNotify ("/apps/MpcSharp/Port", value);
			}
		}
	}

	public class SettingKeys
	{
		public static string PlaylistActiveColor
		{
			get {
				 return "/apps/MpcSharp/PlaylistActiveColor";
			}
		}
		public static string Host
		{
			get {
				 return "/apps/MpcSharp/Host";
			}
		}
		public static string WinHeight
		{
			get {
				 return "/apps/MpcSharp/State/WinHeight";
			}
		}
		public static string Tabs
		{
			get {
				 return "/apps/MpcSharp/Tabs";
			}
		}
		public static string WinPosY
		{
			get {
				 return "/apps/MpcSharp/State/WinPosY";
			}
		}
		public static string GuiRow1
		{
			get {
				 return "/apps/MpcSharp/GuiRow1";
			}
		}
		public static string GuiRow2
		{
			get {
				 return "/apps/MpcSharp/GuiRow2";
			}
		}
		public static string UseRulesHint
		{
			get {
				 return "/apps/MpcSharp/UseRulesHint";
			}
		}
		public static string MusicDirectory
		{
			get {
				 return "/apps/MpcSharp/MusicDirectory";
			}
		}
		public static string PlaylistShowFilter
		{
			get {
				 return "/apps/MpcSharp/PlaylistShowFilter";
			}
		}
		public static string TimeFormat
		{
			get {
				 return "/apps/MpcSharp/State/TimeFormat";
			}
		}
		public static string CustomColumnFormat
		{
			get {
				 return "/apps/MpcSharp/CustomColumnFormat";
			}
		}
		public static string StatusFormat
		{
			get {
				 return "/apps/MpcSharp/StatusFormat";
			}
		}
		public static string ActiveTab
		{
			get {
				 return "/apps/MpcSharp/State/ActiveTab";
			}
		}
		public static string WinWidth
		{
			get {
				 return "/apps/MpcSharp/State/WinWidth";
			}
		}
		public static string Theme
		{
			get {
				 return "/apps/MpcSharp/Theme";
			}
		}
		public static string Password
		{
			get {
				 return "/apps/MpcSharp/Password";
			}
		}
		public static string IncrementalSearch
		{
			get {
				 return "/apps/MpcSharp/IncrementalSearch";
			}
		}
		public static string WinPosX
		{
			get {
				 return "/apps/MpcSharp/State/WinPosX";
			}
		}
		public static string Expanded
		{
			get {
				 return "/apps/MpcSharp/State/Expanded";
			}
		}
		public static string PlaylistFormat
		{
			get {
				 return "/apps/MpcSharp/PlaylistFormat";
			}
		}
		public static string Port
		{
			get {
				 return "/apps/MpcSharp/Port";
			}
		}
	}
}
